curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}フォルダー更新のステータスをチェックします。フォルダー更新は非同期で行われます。
curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
フォルダー更新のTaskId。
successful operation
依頼された変更が完了した日時。
タスクが開始された日時を表すタイムスタンプ。
タスクの現在のステータス。
CANCELED, COMPLETE, PENDING, PROCESSING タスクのID。
タスクに原因がある詳細なエラー。
Show child attributes
タスクのステータスを確認するためのリンク。
Show child attributes
依頼された変更に原因があるエラーの数。
タスクが依頼された日時を表すタイムスタンプ。
Show child attributes